Main Page Widgets Namespaces Book

# Gtk::RecentChooserWidget Class Reference

Inheritance diagram for Gtk::RecentChooserWidget:

[legend]
List of all members.

## Public Member Functions

const GtkRecentChooserWidget* | gobj () const
| Provides access to the underlying C GtkObject.
GtkRecentChooserWidget* | gobj ()
| Provides access to the underlying C GtkObject.
| RecentChooserWidget (const Glib::RefPtr<RecentManager>& recent_manager)
| RecentChooserWidget ()
virtual | ~RecentChooserWidget ()

## Related Functions

(Note that these are not member functions.)
Gtk::RecentChooserWidget* | wrap (GtkRecentChooserWidget* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Gtk::RecentChooserWidget::~RecentChooserWidget | ( |  | ) | `[virtual]`

Gtk::RecentChooserWidget::RecentChooserWidget | ( |  | ) |

Gtk::RecentChooserWidget::RecentChooserWidget | ( | const Glib::RefPtr<RecentManager>& | recent_manager | ) | `[explicit]`

## Member Function Documentation

const GtkRecentChooserWidget* Gtk::RecentChooserWidget::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::VBox.

GtkRecentChooserWidget* Gtk::RecentChooserWidget::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::VBox.

## Friends And Related Function Documentation

Gtk::RecentChooserWidget* wrap | ( | GtkRecentChooserWidget* | object,
|  | bool | take_copy = `false`
| ) | `[related]`

Parameters:

  | object | The C instance
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- recentchooserwidget.h